Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij
Class CompositeImage

    java.lang.Object
      ij.ImagePlus
          ij.CompositeImage

All Implemented Interfaces:
  java.awt.image.ImageObserver, Measurements

public class CompositeImage
extends ImagePlus

Field Summary

Fields inherited from class ij.ImagePlus
`changes, CLOSED, COLOR_256, COLOR_RGB, compositeImage, currentSlice, GRAY16, GRAY32, GRAY8, height, img, ip, locked, OPENED, pixelHeight, pixelWidth, roi, sCalibrated, unit, units, UPDATED, width, win`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Fields inherited from interface ij.measure.Measurements
`AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, PERIMETER, RECT, SKEWNESS, SLICE, STD_DEV`

Constructor Summary
`CompositeImage(ImagePlus imp, int channels)`

Method Summary
`static java.awt.image.IndexColorModel` | `createModelFromColor(java.awt.Color color)`
`java.awt.Color` | `getChannelColor()`
`ImageProcessor` | `getChannelProcessor()` Returns a reference to the current ImageProcessor.
`java.awt.Image` | `getImage()` Returns the current AWT image.
`double` | `getMax(int channel)`
`double` | `getMin(int channel)`
`ImageProcessor` | `getProcessor(int channel)`
`void` | `updateChannelAndDraw()` Updates this image from the pixel data in its associated ImageProcessor, then displays it.
`void` | `updateImage()` ImageCanvas.paint() calls this method when the ImageProcessor has generated new image.

Methods inherited from class ij.ImagePlus
`addImageListener, close, copy, copyScale, createEmptyStack, createImagePlus, createLut, createNewRoi, draw, draw, flush, getBitDepth, getCalibration, getCanvas, getClipboard, getCurrentSlice, getDimensions, getFileInfo, getGlobalCalibration, getHeight, getID, getImageStack, getImageStackSize, getLocalCalibration, getLocationAsString, getMask, getNChannels, getNFrames, getNSlices, getOriginalFileInfo, getPixel, getProcessor, getProperties, getProperty, getRoi, getShortTitle, getStack, getStackSize, getStartTime, getStatistics, getStatistics, getStatistics, getStatistics, getTitle, getType, getWidth, getWindow, hide, imageUpdate, isInvertedLut, isLocked, isProcessor, killProcessor, killRoi, killStack, lock, lockSilently, mouseMoved, notifyListeners, paste, removeImageListener, repaintWindow, resetClipboard, restoreRoi, revert, saveRoi, setActivated, setCalibration, setColor, setDimensions, setFileInfo, setGlobalCalibration, setIgnoreFlush, setImage, setProcessor, setProperty, setRoi, setRoi, setRoi, setSlice, setStack, setTitle, setType, setWindow, show, show, startTiming, toString, trimProcessor, unlock, updateAndDraw, updateAndRepaintWindow, updateStatusbarValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositeImage

    public CompositeImage(ImagePlus imp,
                          int channels)

Method Detail

### getImage

    public java.awt.Image getImage()

  Description copied from class: `ImagePlus`
  Returns the current AWT image.

  Overrides:
    `getImage` in class `ImagePlus`

### updateChannelAndDraw

    public void updateChannelAndDraw()

  Description copied from class: `ImagePlus`
  Updates this image from the pixel data in its associated ImageProcessor, then displays it. The CompositeImage class overrides this method to only update the current channel.

  Overrides:
    `updateChannelAndDraw` in class `ImagePlus`

### getChannelProcessor

    public ImageProcessor getChannelProcessor()

  Description copied from class: `ImagePlus`
  Returns a reference to the current ImageProcessor. The CompositeImage class overrides this method so it returns the processor associated with the current channel.

  Overrides:
    `getChannelProcessor` in class `ImagePlus`

### updateImage

    public void updateImage()

  Description copied from class: `ImagePlus`
  ImageCanvas.paint() calls this method when the ImageProcessor has generated new image.

  Overrides:
    `updateImage` in class `ImagePlus`

### createModelFromColor

    public static java.awt.image.IndexColorModel createModelFromColor(java.awt.Color color)

### getChannelColor

    public java.awt.Color getChannelColor()

### getProcessor

    public ImageProcessor getProcessor(int channel)

### getMin

    public double getMin(int channel)

### getMax

    public double getMax(int channel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD